# PluginLID_DialParams Struct Reference

`#include <lidplugin.h>`

## Data Fields

bool | m_requireTones
| Require dial/ring tone to be detected.
unsigned | m_dialToneTimeout
| Time in msec to wait for a dial tone to be detected.
unsigned | m_dialStartDelay
| Time in msec to wait between the dial tone detection and dialing the dtmf.
unsigned | m_progressTimeout
| Time in msec to wait for a progress tone (ring, busy or connected) to be detected.
unsigned | m_commaDelay
| Time in msec to wait when a comma (',') is found in the dial string.

## Field Documentation

unsigned PluginLID_DialParams::m_commaDelay

Time in msec to wait when a comma (',') is found in the dial string.

unsigned PluginLID_DialParams::m_dialStartDelay

Time in msec to wait between the dial tone detection and dialing the dtmf.

unsigned PluginLID_DialParams::m_dialToneTimeout

Time in msec to wait for a dial tone to be detected.

unsigned PluginLID_DialParams::m_progressTimeout

Time in msec to wait for a progress tone (ring, busy or connected) to be detected.

bool PluginLID_DialParams::m_requireTones

Require dial/ring tone to be detected.

The documentation for this struct was generated from the following file:

- lidplugin.h